<script setup>
	import { onBeforeMount,ref } from 'vue'
	import axios from 'axios'

	const API_ALL_AMIIBO = 'https://www.amiiboapi.com/api/amiibo/'
	const amiibos = ref([])
	const isDataLoading = ref(true)
 
	onBeforeMount(async ()=>{
		console.log('ON BEFORE MOUNT')
		const allResults = await axios.get(API_ALL_AMIIBO)
		const {data,status} = allResults // object destructuring FTW!
		if(status===200){
			isDataLoading.value=false
		}
		
		amiibos.value = [data.amiibo[0], data.amiibo[1], data.amiibo[2]]
		console.log(data.amiibo)
	})
</script>

<template>
	<div id="page-wrapper">
		<h2>Hey, bienvenue sur ma collection !</h2>
		<section id="banner"></section>
		<section id="intro" class="container">
			<div v-if="isDataLoading">Chargement...</div>
			<div v-else class="row">
				<div v-for="amiibo in amiibos" :key="amiibo.tail" class="col-4 col-12-medium">
					<section class="middle">
						<img :src="amiibo.image" />
						<header>
							<h2>{{ amiibo.character }}</h2>
						</header>
						<p>{{ amiibo.gameSeries }}</p>
					</section>
				</div>
			</div>
		</section>
		<div class="flex justify-center"><RouterLink class="button" :to="{ name:'list' }">Voir la lsite complète</RouterLink></div>
	</div>
</template>
